org.apache.hadoop.ipc.proto

## Interface GenericRefreshProtocolProtos.GenericRefreshProtocolService.Interface

- All Known Implementing Classes:
    GenericRefreshProtocolProtos.GenericRefreshProtocolService.Stub
  Enclosing class:
    GenericRefreshProtocolProtos.GenericRefreshProtocolService

      public static interface GenericRefreshProtocolProtos.GenericRefreshProtocolService.Interface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `refresh(com.google.protobuf.RpcController controller, GenericRefreshProtocolProtos.GenericRefreshRequestProto request, com.google.protobuf.RpcCallback<GenericRefreshProtocolProtos.GenericRefreshResponseCollectionProto> done)` `rpc refresh(.hadoop.common.GenericRefreshRequestProto) returns (.hadoop.common.GenericRefreshResponseCollectionProto);`

- - ### Method Detail

    - #### refresh

          void refresh(com.google.protobuf.RpcController controller,
                       GenericRefreshProtocolProtos.GenericRefreshRequestProto request,
                       com.google.protobuf.RpcCallback<GenericRefreshProtocolProtos.GenericRefreshResponseCollectionProto> done)

      `rpc refresh(.hadoop.common.GenericRefreshRequestProto) returns (.hadoop.common.GenericRefreshResponseCollectionProto);`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.